import { ElementRef, Renderer2, InputSignal } from "@angular/core";
import type { PersonalizationContainerProps } from "./personalization-container.types";
import * as i0 from "@angular/core";
export default class PersonalizationContainer {
    private renderer;
    protected readonly SDKS_REQUIRING_RESET_APPROACH: import("../../types/targets").Target[];
    protected readonly TARGET: import("../../types/targets").Target;
    builderContext: InputSignal<PersonalizationContainerProps["builderContext"]>;
    variants: InputSignal<PersonalizationContainerProps["variants"]>;
    builderBlock: InputSignal<PersonalizationContainerProps["builderBlock"]>;
    attributes: InputSignal<PersonalizationContainerProps["attributes"]>;
    previewingIndex: InputSignal<PersonalizationContainerProps["previewingIndex"]>;
    builderComponents: InputSignal<PersonalizationContainerProps["builderComponents"]>;
    rootRef: import("@angular/core").Signal<ElementRef<any>>;
    elRef0: import("@angular/core").Signal<ElementRef<any>>;
    userAttributes: import("@angular/core").WritableSignal<any>;
    scriptStr: import("@angular/core").WritableSignal<any>;
    updateVisibilityStylesScript: import("@angular/core").WritableSignal<any>;
    unsubscribers: import("@angular/core").WritableSignal<any[]>;
    shouldRenderVariants: import("@angular/core").WritableSignal<any>;
    shouldResetVariants: import("@angular/core").WritableSignal<boolean>;
    _listenerFns: Map<any, any>;
    attrs: import("@angular/core").Signal<any>;
    filteredVariants: import("@angular/core").Signal<{
        blocks: import("@builder.io/sdk-angular").BuilderBlock[];
        query: import("./helpers").Query[];
        startDate?: string;
        endDate?: string;
    }[]>;
    blocksToRender: import("@angular/core").Signal<{
        blocks: import("@builder.io/sdk-angular").BuilderBlock[];
        path: string;
        index: number | "default";
    }>;
    hideVariantsStyleString: import("@angular/core").Signal<string>;
    objSpread_BlocksWrapperProps_oi5c20: import("@angular/core").Signal<any>;
    templateStr_lw6jtt(): string;
    templateStr_rpibqx(): string;
    objSpread_BlocksWrapperProps_wq9i0g(variant: any, index: any): any;
    templateStr_q6jkc(variant: any, index: any): string;
    templateStr_cbpzp5(variant: any, index: any): string;
    templateStr_f5w03p(): string;
    setAttributes(el: HTMLElement, value: any, changes?: any): void;
    trackByVariant0(index: number, variant: any): string;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PersonalizationContainer, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PersonalizationContainer, "personalization-container", never, { "builderContext": { "alias": "builderContext"; "required": false; "isSignal": true; }; "variants": { "alias": "variants"; "required": false; "isSignal": true; }; "builderBlock": { "alias": "builderBlock"; "required": false; "isSignal": true; }; "attributes": { "alias": "attributes"; "required": false; "isSignal": true; }; "previewingIndex": { "alias": "previewingIndex"; "required": false; "isSignal": true; }; "builderComponents": { "alias": "builderComponents"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
